# $Revision: 1.64 $, $Date: 2012/01/22 20:08:29 $
# TODO
# - use IANA as source http://www.iana.org/assignments/media-types/ ?
%bcond_without	tests

%define		fcver	2.1.31
Summary:	Defines multimedia helper applications for various programs
Summary(de.UTF-8):	Definiert Multimedia-Hilfsapplikationen für diverse Programme
Summary(es.UTF-8):	Define aplicaciones auxiliares multimedia para varios programas
Summary(fr.UTF-8):	Définit une aide multimédia pour de nombreuses applications
Summary(pl.UTF-8):	Definicje rozszerzeń multimedialnych dla różnych programów
Summary(pt_BR.UTF-8):	Define aplicações auxiliares multimídia para vários programas
Summary(tr.UTF-8):	Çeşitli programlar için çokluortam yardımcı uygulamaları tanımlar
Name:		mailcap
Version:	2.3
Release:	6
License:	Public Domain
Group:		Base
Source0:	https://fedorahosted.org/released/mailcap/%{name}-%{fcver}.tar.gz
# Source0-md5:	54f487f4038b703a3e87c2b95334857d
Source1:	%{name}
Source2:	%{name}.4
Source3:	run-%{name}
Source4:	run-%{name}.man
Patch0:		mime.types.patch
BuildRequires:	rpm >= 4.4.9-56
Suggests:	ImageMagick-coder-jpeg
Suggests:	ImageMagick-coder-png
Suggests:	aview
Suggests:	colordiff
Suggests:	dvi2tty
Suggests:	elinks
Suggests:	eog
Suggests:	ghostscript
Suggests:	gplflash
Suggests:	gv
Suggests:	id3v2
Suggests:	libcaca-img
Suggests:	metamail
Suggests:	mikmod
Suggests:	mplayer
Suggests:	odt2txt
Suggests:	perl-base
Suggests:	qiv
Suggests:	soffice2html
Suggests:	tar
Suggests:	tnef
Suggests:	unrar
Suggests:	unzip
Suggests:	wv
Suggests:	xdvi
Suggests:	xlhtml
Suggests:	xpdf
Suggests:	xpdf-tools
%if "%{pld_release}" == "ac"
Suggests:	X11
%else
Suggests:	xterm
%endif
%{?with_tests:BuildRequires:perl-base}
Conflicts:	rpm < 4.4.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqfiles	%{_bindir}/run-%{name}

%description
The mailcap file is used by the metamail program. Metamail reads the
mailcap file to determine how it should display non-text or multimedia
material. Basically, mailcap associates a particular type of file with
a particular program that a mail agent or other program can call in
order to handle the file.

%description -l de.UTF-8
Wenn es installiert ist, können Programme wie 'lynx' automatically
'zgv' zum Darstellen von Bildern verwenden (zgv muß installiert sein).

%description -l es.UTF-8
Este es el paquete Red Hat Mailcap. Al instalarlo podrás hacer que
programas como lynx usen automáticamente zgv para enseñar imágenes
(con zgv instalado).

%description -l fr.UTF-8
L'installer permettra à des programmes come lynx d'utiliser
automatiquement zgv pour afficher des images (pourvu que zgv soit
installé).

%description -l pl.UTF-8
Plik mailcap jest używany przez program metamail i inne. Pakiet ten
pozwoli na automatyczne wyświetlanie grafiki przez programy takie jak
lynx, przy użyciu zgv.

%description -l pt_BR.UTF-8
Este é o pacote Red Hat Mailcap. Instalando você poderá fazer com que
programas como lynx automaticamente usem zgv para mostrar figuras (com
o zgv instalado).

%description -l tr.UTF-8
lynx gibi programların resim göstermek için otomatik olarak zgv
paketini kullanamalarına olanak sağlar (zgv kurulmuş olmalı).

%prep
%setup -q -n %{name}-%{fcver}
%patch0 -p1
cp -a %{SOURCE1} mailcap

%if "%{pld_release}" == "ac"
%{__sed} -i -e 's,/usr/bin/xterm,/usr/X11R6/bin/xterm,g' mailcap
%endif

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_mandir}/man{1,4},%{_bindir}}
cp -p mailcap mime.types $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man4
cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man1/run-%{name}.1
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mailcap
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mime.types
%attr(755,root,root) %{_bindir}/run-mailcap
%{_mandir}/man1/run-mailcap.1*
%{_mandir}/man4/mailcap.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mailcap.spec,v $
Revision 1.64  2012/01/22 20:08:29  glen
- add webm/weba types; http://www.webcoder.de/2010/06/04/how-to-configure-your-webserver-for-webm-video-and-audio-files/

Revision 1.63  2010/08/26 16:42:33  glen
- restored some old mime types from mime.types; rel 5

Revision 1.62  2010/08/26 16:30:36  glen
- re-add .gadget -> application/x-windows-gadget (mime.types r1.15)

Revision 1.61  2010/03/27 19:01:28  gotar
- rel. 4; updated run-mailcap and manpages from Debian's mime-support 3.48

Revision 1.60  2009/11/25 20:23:11  arekm
- rel 3; use maintained mime.types

Revision 1.59  2009/09/21 13:04:08  glen
- verbose files, ac xterm path

Revision 1.58  2009/09/02 11:56:46  glen
- perl dep (via run-mailcap) is optional too; rel 2

Revision 1.57  2009/05/27 13:24:34  gotar
- one more text image filter (colour caca)

Revision 1.56  2009/05/27 13:07:02  gotar
- S: some text filters for images (aview, identify) and mp3 (id3v2)

Revision 1.55  2009/04/30 16:06:05  gotar
- added run-mailcap from Debian mime-support, bumped version to 2.3

Revision 1.54  2009/04/26 08:33:35  pawelz
- S: tnef (tool for decoding winmail.dat)

Revision 1.53  2008/08/04 13:50:08  glen
- conflict with rpm not capable of suggests tags (it makes all suggests as requires, which is quite ugly); rel 5

Revision 1.52  2008/07/28 19:13:42  glen
- deps for ac

Revision 1.51  2008/07/25 16:59:38  qboosh
- sorted Ss

Revision 1.50  2008/07/25 13:13:04  gotar
- flash is obsoleted by gplflash

Revision 1.49  2008/07/22 13:19:20  gotar
- S: dvi2tty

Revision 1.48  2008/06/09 22:21:58  glen
- release 3

Revision 1.47  2008-06-09 21:42:02  qboosh
- rar replaced by unrar (portable, open source)

Revision 1.46  2008-06-08 17:33:24  gotar
- suggest default handlers

Revision 1.45  2008-05-29 17:53:26  glen
- release 2

Revision 1.44  2008-05-29 17:51:35  glen
- version 2.2 for fc2 upgrade

Revision 1.43  2007-12-29 00:28:16  glen
- rel 13

Revision 1.42  2007-10-22 23:57:07  glen
- rel 12 (merged with apache_1.3.39/conf/mime.types)

Revision 1.41  2007/03/28 08:31:08  glen
- add .gadget -> application/x-windows-gadget; rel 11

Revision 1.40  2007/02/23 20:12:39  qboosh
- release 10 for X11R7 (updated xterm paths)

Revision 1.39  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.37  2007/01/08 14:02:20  glen
- rel 9

Revision 1.36  2006/12/08 14:57:11  glen
- rel 8

Revision 1.35  2006/12/08 14:33:56  arekm
- rel 7

Revision 1.34  2006/06/15 16:57:38  glen
- add .crt and .crl files from apache mod_ssl; rel 6

Revision 1.33  2005/12/13 13:58:50  glen
- adapterized (sorted %verify attrs)

Revision 1.32  2005/11/15 13:46:48  glen
- rel 5

Revision 1.31  2005/11/03 21:18:57  glen
- rel 4

Revision 1.30  2005/05/06 12:25:25  qboosh
- summary fix, no //

Revision 1.29  2004/10/24 12:06:41  paladine
- spelling fix

Revision 1.28  2004/08/25 12:37:24  gotar
- release 3 for extended mailcap, STBR

Revision 1.27  2004/08/25 11:50:34  gotar
- switched to CVS sources

Revision 1.26  2004/05/15 11:12:39  wrobell
- added support for DHTML behaviours (http://dean.edwards.name/IE7/usage/)
- rel. 2

Revision 1.25  2003/11/11 01:42:28  ankry
- caps unification, other cosmetics

Revision 1.24  2003/07/13 20:44:51  areq
- 2.1.14 (source from rawhide)

Revision 1.23  2003/05/25 11:11:21  malekith
- revert massive fsckup

Revision 1.22  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.21  2003/05/25 05:50:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/05/25 01:32:21  adgor
- Source0-md5

Revision 1.19  2003/05/09 09:27:10  mkochano
- Release 5.
- Added entry for WPAD.

Revision 1.18  2002/04/05 15:09:32  roman
- s/public domain/Public Domain in License

Revision 1.17  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/15 22:39:53  qboosh
- release 4: mark /etc/* with noreplace and verify tags

Revision 1.15  2002/02/12 02:59:23  kloczek
- updated to 2.1.9,
- merged translations from Conectiva.

Revision 1.14  2002/01/18 02:13:47  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/10/08 15:11:02  qboosh
- don't gzip man pages in spec - rpm does

Revision 1.12  2000/12/06 01:25:07  agaran
- maybe after that cvs will update $Log and $Revision (beholder uses it..)
